-- Author PawMan420
-- Mod: TimeKeeper v1
-- 01/12/2024
-- More things at https://www.kingmods.net/en/profile/pawman420
TimeKeeper = {}
addModEventListener(TimeKeeper)
function TimeKeeper:loadMap(name)
formathour = "%H"
formatminute = "%M"
SleepManager.getCanSleep = Utils.overwrittenFunction(SleepManager.getCanSleep, TimeKeeper.disableFunction)
end
function TimeKeeper:disableFunction()
return false
end
function TimeKeeper:update()
HomeTimeHourRaw = getDate(formathour)
HomeTimeMinuteRaw = getDate(formatminute)
GameTimeHourRaw = g_currentMission.environment.currentHour
GameTimeMinuteRaw = g_currentMission.environment.currentMinute
GameTimeHour = string.format("%.0f",GameTimeHourRaw)
GameTimeMinute = string.format("%.0f",GameTimeMinuteRaw)
HomeTimeHour = string.format("%.0f",HomeTimeHourRaw)
HomeTimeMinute = string.format("%.0f",HomeTimeMinuteRaw)
if g_currentMission.missionInfo.timeScale > 360 then g_currentMission.missionInfo.timeScale = 1
end
if g_currentMission.missionInfo.timeScale < 0.1 then g_currentMission.missionInfo.timeScale = 1
end
if (GameTimeHour == HomeTimeHour and HomeTimeMinute == GameTimeMinute) then g_currentMission.missionInfo.timeScale = 1 else g_currentMission.missionInfo.timeScale = 0.1
end
function TimeKeeper.prerequisitesPresent(specializations)
return true
end
function TimeKeeper:mouseEvent(posX, posY, isDown, isUp, button)
end
function TimeKeeper:draw()
end
function TimeKeeper:keyEvent(unicode, sym, modifier, isDown)
end
function TimeKeeper:deleteMap()
end
end